%define upstream_name    Text-Hspell
%define upstream_version 0.4.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Wrapper for the hspell (= Hebrew speller) library
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DynaLoader)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: hspell-devel
BuildRequires: perl-devel
%description
This module allows one to use libhspell ( http://hspell.ivrix.org.il/
) to spell check Hebrew words.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.4.1-7.mga10
+ Revision: 2226262
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.4.1-6.mga10
+ Revision: 2088237
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.4.1-5.mga10
+ Revision: 2011540
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.4.1-4.mga10
+ Revision: 1862938
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 0.4.1-3.mga9
+ Revision: 1798749
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.4.1-2.mga9
+ Revision: 1727692
- Rebuild for perl 5.34

* Sat Aug 01 2020 tv <tv> 0.4.1-1.mga8
+ Revision: 1610228
- update to 0.4.1

* Fri Jul 24 2020 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1608615
- update to 0.4.0

* Thu Jun 18 2020 umeabot <umeabot> 0.2.5-2.mga8
+ Revision: 1595665
- Rebuild for perl 5.32

* Wed May 06 2020 tv <tv> 0.2.5-1.mga8
+ Revision: 1580827
- update to 0.2.5

* Fri May 01 2020 tv <tv> 0.2.3-1.mga8
+ Revision: 1577341
- update to 0.2.3

* Thu Feb 20 2020 umeabot <umeabot> 0.2.2-2.mga8
+ Revision: 1545623
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.2.2-1.mga8
+ Revision: 1484986
- update to 0.2.2

* Wed Jan 15 2020 shlomif <shlomif> 0.2.1-1.mga8
+ Revision: 1478057
- New version 0.2.1

* Tue Jan 14 2020 shlomif <shlomif> 0.2.0-1.mga8
+ Revision: 1478010
- New version 0.2.0

* Thu Dec 12 2019 shlomif <shlomif> 0.0.2-1.mga8
+ Revision: 1465969
- imported package perl-Text-Hspell


* Thu Dec 12 2019 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
